ArrayBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class ArrayBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.ListBinder
              org.hibernate.cfg.annotations.ArrayBinder

Direct Known Subclasses:
  PrimitiveArrayBinder

    public class ArrayBinder

extends ListBinder

Bind an Array

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, inheritanceStatePerClass, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`ArrayBinder()`

Method Summary
`protected Collection` | `createCollection(PersistentClass persistentClass)`

Methods inherited from class org.hibernate.cfg.annotations.ListBinder
`getSecondPass, setSort, setSqlOrderBy`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder
`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getMappings, isHibernateExtensionMapping, isMap, setAccessType, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setDeclaringClass, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInheritanceStatePerClass, setInsertable, setInverseJoinColumns, setIsHibernateExtensionMapping, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyHolder, setPropertyName, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayBinder

    public ArrayBinder()

Method Detail

### createCollection

    protected Collection createCollection(PersistentClass persistentClass)

  Overrides:
    `createCollection` in class `ListBinder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.